# Config file

{% tabs %}
{% tab title="ESX" %}

```lua
Config, Locales = {}, {}

Config.Locale = 'en' -- en / pt (not yet) / es (not yet) / fr (not yet) / de (not yet)

Config.Debug = false -- true = Debug mode, it will show the debug messages on the console

Config.AutoAddDatabaseTables = true -- true = Auto add the database tables | false = You need to add the database tables manually

Config.AutoCreateSociety = true -- true = Auto create the society on the database tables | false = You need to create the society manually

Config.UseOkokNotify = true -- true = okokNotify | false = esx-notify (You can change the notification system on cl_utils.lua)

Config.UseOkokTextUI = true -- true = okokTextUI | false = esx-textui

Config.UseOkokRequests = true -- true = okokRequests | false right away

Config.UseJobBlip = true -- true = marker or target | false = open with a command

Config.UseTarget = false -- true = Target | false = textUI

Config.EventPrefix = "okokBossMenu"  -- This will change the prefix of the events name so if Config.EventPrefix = "example" the events will be "example:event"

Config.SocietySystem = "addon-account" -- addon-account / okokbanking

Config.TargetSystem = "ox-target" -- The target system you are using ( ox-target )

Config.InventorySystem = "ox-inventory" -- The inventory system you are using ( ox-inventory )

Config.ClothingSystem = "illenium-appearance" -- The clothing system you are using ( esx_skin / illenium-appearance )

Config.OpenBossMenuCommand = "openbossmenu" -- The command to open the boss menu if Config.UseJobBlip = false

Config.OpenGangMenuCommand = "opengangmenu" -- The command to open the gang menu if Config.UseJobBlip = false

Config.OpenDutyCommand = "openduty" -- The command to open the duty menu if Config.UseJobBlip = false

Config.BossGrade = "boss" -- The grade that the boss has

Config.Currency = "€" -- The currency used on the script

Config.DefaultPaymentAfterFire = 50 -- The default payment after being fired

Config.HireDistance = 3.0 -- The distance that the player needs to be to hire someone

Config.MarkerID = 21 -- The marker ID for the job locations

Config.TimeLocale = 'pt-PT' -- https://www.localeplanet.com/icu/

Config.MarkerColors = { r = 31, g = 94, b = 255, a = 90 } -- The marker colors for the job locations

Config.JobLocations = {
    ['police'] = 	{ bossCoords = vector3(447.69, -973.46, 30.69), dutyCoords = vector3(440.21, -975.72, 30.69) },
	['ambulance'] = { bossCoords = vector3(305.68, -597.83, 43.29), dutyCoords = vector3(295.68, -601.83, 43.29) },
	['ballas'] = { bossCoords = vector3(114.18, -1960.81, 21.33), dutyCoords = vector3(109.48, -1961.42, 20.96) },
}

-------------------------- DISCORD LOGS

Config.BotName = 'ServerName' -- Write the desired bot name

Config.ServerName = 'ServerName' -- Write your server's name

Config.IconURL = '' -- Insert your desired image link

Config.DateFormat = '%d/%m/%Y [%X]' -- To change the date format check this website - https://www.lua.org/pil/22.1.html

-- To change a webhook color you need to set the decimal value of a color, you can use this website to do that - https://www.mathsisfun.com/hexadecimal-decimal-colors.html

Config.DepositWebhook = true
Config.DepositWebhookColor = '65280'

Config.WithdrawWebhook = true
Config.WithdrawWebhookColor = '16711680'

Config.HireWebhook = true
Config.HireWebhookColor = '65280'

Config.FireWebhook = true
Config.FireWebhookColor = '16711680'

Config.EditEmployeeRankWebhook = true
Config.EditEmployeeRankWebhookColor = '65280'

Config.OnDutyWebhook = true
Config.OnDutyWebhookColor = '65280'

Config.OffDutyWebhook = true
Config.OffDutyWebhookColor = '16711680'

Config.GivenBonusWebhook = true
Config.GivenBonusWebhookColor = '65280'

-------------------------- LOCALES (DON'T TOUCH)

function _okok(id)
	if Locales[Config.Locale][id] then
		return Locales[Config.Locale][id]
	else
		print("The locale '"..id.."' doesn't exist!")
	end
end
```

{% endtab %}

{% tab title="QBCore" %}

```lua
Config, Locales = {}, {}

Config.Locale = 'en' -- en / pt (not yet) / es (not yet) / fr (not yet) / de (not yet)

Config.Debug = false -- true = Debug mode, it will show the debug messages on the console

Config.AutoAddDatabaseTables = true -- true = Auto add the database tables | false = You need to add the database tables manually

Config.AutoCreateSociety = true -- true = Auto create the society on the database tables | false = You need to create the society manually

Config.UseOkokNotify = true -- true = okokNotify | false = qb-notify (You can change the notification system on cl_utils.lua)

Config.UseOkokTextUI = true -- true = okokTextUI | false = qb-drawtext

Config.UseOkokRequests = true -- true = okokRequests | false right away

Config.UseJobBlip = true -- true = marker or target | false = open with a command

Config.UseTarget = false -- true = Target | false = textUI

Config.EventPrefix = "okokBossMenu"  -- This will change the prefix of the events name so if Config.EventPrefix = "example" the events will be "example:event"

Config.SocietySystem = "qb-banking" -- qb-banking / qb-management / okokbanking

Config.TargetSystem = "qb-target" -- The target system you are using (qb-target / ox-target)

Config.InventorySystem = "qb-inventory" -- The inventory system you are using ( qb-inventory / ox-inventory )

Config.ClothingSystem = "qb-clothing" -- The clothing system you are using ( qb-clothing / illenium-appearance )

Config.OpenBossMenuCommand = "openbossmenu" -- The command to open the boss menu if Config.UseJobBlip = false

Config.OpenGangMenuCommand = "opengangmenu" -- The command to open the gang menu if Config.UseJobBlip = false

Config.OpenDutyCommand = "openduty" -- The command to open the duty menu if Config.UseJobBlip = false

Config.Currency = "€" -- The currency used on the script

Config.DefaultPaymentAfterFire = 50 -- The default payment after being fired

Config.HireDistance = 3.0 -- The distance that the player needs to be to hire someone

Config.MarkerID = 21 -- The marker ID for the job locations

Config.TimeLocale = 'pt-PT' -- https://www.localeplanet.com/icu/

Config.MarkerColors = { r = 31, g = 94, b = 255, a = 90 } -- The marker colors for the job locations

Config.JobLocations = {
    ['police'] = 	{ bossCoords = vector3(447.69, -973.46, 30.69), dutyCoords = vector3(440.21, -975.72, 30.69) },
	['ambulance'] = { bossCoords = vector3(305.68, -597.83, 43.29), dutyCoords = vector3(295.68, -601.83, 43.29) },
	['ballas'] = { bossCoords = vector3(114.18, -1960.81, 21.33), dutyCoords = vector3(109.48, -1961.42, 20.96) },
}

-------------------------- DISCORD LOGS

Config.BotName = 'ServerName' -- Write the desired bot name

Config.ServerName = 'ServerName' -- Write your server's name

Config.IconURL = '' -- Insert your desired image link

Config.DateFormat = '%d/%m/%Y [%X]' -- To change the date format check this website - https://www.lua.org/pil/22.1.html

-- To change a webhook color you need to set the decimal value of a color, you can use this website to do that - https://www.mathsisfun.com/hexadecimal-decimal-colors.html

Config.DepositWebhook = true
Config.DepositWebhookColor = '65280'

Config.WithdrawWebhook = true
Config.WithdrawWebhookColor = '16711680'

Config.HireWebhook = true
Config.HireWebhookColor = '65280'

Config.FireWebhook = true
Config.FireWebhookColor = '16711680'

Config.EditEmployeeRankWebhook = true
Config.EditEmployeeRankWebhookColor = '65280'

Config.OnDutyWebhook = true
Config.OnDutyWebhookColor = '65280'

Config.OffDutyWebhook = true
Config.OffDutyWebhookColor = '16711680'

Config.GivenBonusWebhook = true
Config.GivenBonusWebhookColor = '65280'

-------------------------- LOCALES (DON'T TOUCH)

function _okok(id)
	if Locales[Config.Locale][id] then
		return Locales[Config.Locale][id]
	else
		print("The locale '"..id.."' doesn't exist!")
	end
end
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokbossmenu/config-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
